org.eclipse.microprofile.fault.tolerance.tck.asynchronous

## Class AsyncApplicationScopeClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.asynchronous.AsyncApplicationScopeClient

    @ApplicationScoped
    public class AsyncApplicationScopeClient
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AsyncApplicationScopeClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<String>` `serviceCallingCompletionStageMethod()`
`Future<String>` `serviceCallingFutureMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncApplicationScopeClient

    public AsyncApplicationScopeClient()

### Method Detail

#### serviceCallingCompletionStageMethod

    @Asynchronous
    public CompletionStage<String> serviceCallingCompletionStageMethod()

#### serviceCallingFutureMethod

    @Asynchronous
    public Future<String> serviceCallingFutureMethod()